package tests;
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.logging.*;

/**
 * @author djib
 * 
 * This class is used to test the XBoard protocol.
 * 
 * $LastChangedDate$
 * $LastChangedRevision$
 * $LastChangedBy$
 * 
 */
public class TestXBoardProtocol {
	public static void main(String[] args) {
		Logger logger = Logger.getLogger("");
		try {
			FileHandler logFile = new FileHandler("%t/TestXBoardProtocol.txt");
			logFile.setFormatter(new SimpleFormatter());
			logger.addHandler(logFile);
		} catch (Exception e) {
		}
		
		BufferedReader xBoardInput = new BufferedReader(new InputStreamReader(System.in));
		
		
		//done=1 is here to tell that the program has finish requesting features
		System.out.println("feature myname=\"djib's Suicide Chess\" sigint=0 sigterm=0 variant=\"suicide\" done=1");
		
		while (true) {
			try {
				String xBoardCommand = xBoardInput.readLine();
				logger.info(xBoardCommand);
				System.err.println(xBoardCommand);
				if (xBoardCommand.startsWith("quit")) {
					logger.info(">quit;");
					break;
				}
				if (xBoardCommand.startsWith("otim")) {
					logger.info(">Error");
					System.out.println("Error (unknown command): time");
				}
				if (xBoardCommand.startsWith("e2e4")) {
					logger.info(">move b8b8");
					System.out.println("move b8c6");					
				}
				if (xBoardCommand.startsWith("d2d4")) {
					logger.info(">move d7d5");
					System.out.println("move d7d5");
				}
				if (xBoardCommand.startsWith("d2d3")) {
					logger.info(">invalid move d2d3");
					System.out.println("Illegal move (Don't like it.): d2d3");
				}
				

			} catch (Exception err) {
				logger.info(err.toString());
				break;
	        }
		}
	}
}
